<?php
/**
 * @file
 * Modify 'commerce_line_item_table' view to show the datetime field
 */

define('AV_POS_TABLE', 3);

/**
 * Implements hook_views_default_views_alter().
 * @link https://api.drupal.org/api/views/views.api.php/function/hook_views_default_views_alter/7
 */
function commerce_availability_views_default_views_alter(&$views) {
    $vname = 'commerce_line_item_table';
    if (!empty($views[$vname])) {
        $handler = &$views[$vname]->display['default'];
        $style_options = &$handler->display_options['style_options'];
        $style_options['columns'][AV_F_NAME_L] = AV_F_NAME_L;
        $style_options['info'][AV_F_NAME_L] = array(
            'sortable' => 1,
            'default_sort_order' => 'asc',
            'align' => '',
            'separator' => '',
            'empty_column' => 0,
        );
        $fields = &$handler->display_options['fields'];
        $field = array();
        $field['id'] = AV_F_NAME_L;
        $field['table'] = 'field_data_' . AV_F_NAME_L;
        $field['field'] = AV_F_NAME_L;
        $field['element_type'] = '0';
        $field['element_wrapper_type'] = '0';
        $field['element_default_classes'] = FALSE;
        $field['settings'] = array(
            'format_type' => 'short',
            'fromto' => 'both',
            'multiple_number' => '',
            'multiple_from' => '',
            'multiple_to' => '',
        );
        $first_array = array_splice($fields, 0, AV_POS_TABLE);
        $fields = array_merge($first_array, array(AV_F_NAME_L => $field), $fields);
    }
}